public class ResourceCardHoldArea : CardHoldArea
{
    public override bool CanAddCard(Card card)
    {
        return card is ResourceCard && base.CanAddCard(card);
    }

    public int GetCardCount()
    {
        return cards.Count;
    }
}
